## org.hibernate.annotations
Enum GenerationTime

    java.lang.Object
      java.lang.Enum<GenerationTime>
          org.hibernate.annotations.GenerationTime

All Implemented Interfaces:
  Serializable, Comparable<GenerationTime>

    public enum GenerationTime

extends Enum<GenerationTime>

When should the generation occurs

Enum Constant Summary
`ALWAYS`
`INSERT`
`NEVER`

Method Summary
`static GenerationTime` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GenerationTime[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEVER

    public static final GenerationTime NEVER

### INSERT

    public static final GenerationTime INSERT

### ALWAYS

    public static final GenerationTime ALWAYS

Method Detail

### values

    public static GenerationTime[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GenerationTime c : GenerationTime.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GenerationTime valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.